Begin CEX linking (OAuth/API Key challenge)
POST
/v1/asset/cex-accounts/connect/prepare
const url = 'https://api.parasta.io/v1/asset/cex-accounts/connect/prepare';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"provider":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/asset/cex-accounts/connect/prepare \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "provider": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
provider
string
Example generated
{ "provider": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
providers
Array<object>
object
provider
string
label
string
authMethods
Array<string>
challenge
object
provider
string
authMethod
string
oauthUrl
string format: uri
state
string
expiresAt
string format: date-time
Example
{ "providers": [ { "authMethods": [ "oauth2" ] } ], "challenge": { "authMethod": "oauth2" }}